Intrusion Prevention

Sun.Java.Pack200.Decoding.Inner.Class.Count.Integer.Overflow

Description

This indicates an attack attempt against an integer-overflow vulnerability in
Sun Java.
The vulnerability is caused by an error when the vulnerable software handles
a malicious Pack200 compressed JAR file. It allows a remote attacker to execute arbitrary code via sending a crafted web page.

Affected Products

JDK and JRE 6 Update 14 and earlier
JDK and JRE 5.0 Update 19 and earlier

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Upgrade to the following versions:
JDK and JRE 6 Update 15 or later
JDK and JRE 5.0 Update 20 or later

CVE References

CVE-2009-2675